| Home | Libraries | People | FAQ | More

##### boost::mqtt5::prop::properties::apply_on

Applies a function to a Property identified by its ID.

###### Synopsis

    template<
        typename Func,
        std::enable_if_t< is_apply_on< Func >::value, bool > = true>
    constexpr bool
    apply_on(
        uint8_t property_id,
        Func&& func) noexcept(is_nothrow_apply_on< Func >::value);

###### Description

This function iterates over all Properties and invokes the provided function on the value of the Property that matches the given property ID.

###### Parameters

Name | Description
--- | ---
`property_id` | The ID of the Property to apply the function on.
`func` | The function to invoke on the Property value.

###### Return Value

`true` if the function was applied to a Property and `false` otherwise.